Retrieves the company with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
company| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| is_client |
SALES : Indicate if can be used for ordering |
boolean | |
| is_supplier |
SERVICES : indicate if this company is a supplier |
boolean | |
| archived |
Archive this company to not have it anymore on the search |
boolean | |
| name | string |
Required Max length: 64 |
|
| notes |
Notes/Remark field |
string | |
| create_date |
Creation date+time |
date | |
| sales_territory_id |
Territory of the company (Sales+Services).If more than one sales_territory exists, then it must be filled |
globally unique identifier | |
| sales_territory_code |
Embedded entity "sales_territory" using ERP PK when adding/updating company |
string | |
| sales_territory |
Embedded entity "sales_territory" using node when adding/updating company |
sales_territory | |
| marketing_segment_id |
Marketing Segment of the company (Sales (Visit frequency logic) +Services (Planning Jobs To Be Planned) ) |
globally unique identifier | |
| marketing_segment_code |
Embedded entity "marketing_segment" using ERP PK when adding/updating company |
string | |
| marketing_segment |
Embedded entity "marketing_segment" using node when adding/updating company |
marketing_segment | |
| sales_organization_id |
Organization on which belongs the company.If more than one sales_organization exists, then it must be filled |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company |
string | |
| sales_organization |
Embedded entity "sales_organization" using node when adding/updating company |
sales_organization | |
| company_sales_status_code |
Foreign key of company_sales_status using code. Use "Normal,CreditRisk, BlockedbyCM or OrderBlocked" |
string | |
| vat_reg_code |
VAT number |
string |
Max length: 50 |
| is_working_address |
Services : If False, you cannot create project/installation on this company.Default=true |
boolean | |
| parent_id |
Reference to a parent company (in case of Child/Parent) when adding/updating company |
globally unique identifier | |
| parent_company_code |
Embedded entity "company" for parent (in case of Child/Parent) using ERP PK when adding/updating company |
string | |
| parent_company |
Embedded entity "company" for parent (in case of Child/Parent) when adding/updating company |
company | |
| phone |
Phone number of the company |
string |
Max length: 50 |
| fax |
Fax number of the company |
string |
Max length: 50 |
| url |
URL of the company website |
string |
Max length: 255 |
|
|
string |
Max length: 250 |
|
| street |
Address:Street |
string |
Max length: 100 |
| street_number |
Address:Street Number. If your ERP doesn't have this field, then only use field "street" and disable the street number on Odyssee/Admin/Impl Settings/Global Settings:Hide Street Number |
string |
Max length: 50 |
| city |
Address:City |
string |
Max length: 50 |
| zip |
Address:Zip |
string |
Max length: 50 |
| db_country_id |
Address:Country |
globally unique identifier | |
| db_country_code |
Address:CountryCode entity using international code when adding/updating company |
string | |
| feelist_id |
FeeList activated for the company (On Service, Feelist determines the price of the invoicable timesheets) |
globally unique identifier | |
| feelist_reference_back_office |
Embedded entity "feelist" using ERP PK when adding/updating company |
string | |
| feelist |
Embedded entity "feelist" using node when adding/updating company |
feelist | |
| company_type_id |
Company Type |
globally unique identifier | |
| company_type_name |
Embedded entity "company_type" using ERP PK when adding/updating company |
string | |
| company_type |
Embedded entity "company_type" using node when adding/updating company |
company_type | |
| db_language_id |
Language of the company.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating company |
string | |
| code |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| article_price_label_id |
Foreign key of article price label |
globally unique identifier | |
| article_price_label_code |
Embedded entity "article price label" using ERP PK when adding/updating |
string | |
| article_price_label |
Embedded entity "article price label" when adding/updating |
article_price_label | |
| db_payment_method_id |
Embedded entity "db payment methods" using ERP PK when adding/updating company |
globally unique identifier | |
| db_payment_method_reference_back_office |
Embedded entity "db payment methods" using ERP PK when adding/updating company |
string | |
| db_payment_methods |
Embedded entity "db payment methods" using ERP PK when adding/updating company |
db_payment_methods | |
| company_sector_id |
Foreign key to company_sector |
globally unique identifier | |
| company_sector_code |
Embedded code for the company_sector using ERP PK when adding/updating |
string | |
| company_sector |
Embedded entity for the company_sector using the key from an external system when adding/updating object |
company_sector | |
| is_lead |
Indicate that company is not already a customer |
boolean | |
| is_subcontractor |
For Service, that company is one of your subcontractors |
boolean | |
| latitude |
Decimal coordonate for the latitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| longitude |
Decimal coordonate for the longitude. (-1;-1) means invalid and (0;0) means not already geo-encoded |
decimal number | |
| street2 |
Additional information on the address not part of the postal address |
string | |
| bic_code |
bic code |
string | |
| specialities |
specialities |
string | |
| register_number |
register_number |
string | |
| register_city |
register_city |
string | |
| bankaccount |
Bank account of the company. |
string | |
| mobile |
Mobile number of the company |
string |
Max length: 50 |
| service_manager_user_id |
ID of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags |
globally unique identifier | |
| service_manager_user_code |
Embedded code of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags |
string | |
| service_manager_user |
Embedded entity of the service manager. Auto selected user when creating location, installation. Used also inside communication and tags |
user | |
| finance_manager_user_id |
ID of the finance manager. Only used inside communication and tags |
globally unique identifier | |
| finance_manager_user_code |
Embedded code of the finance manager. Only used inside communication and tags |
string | |
| finance_manager_user |
Embedded entity of the finance manager. Only used inside communication and tags |
user | |
| account_manager_user_id |
ID of the account manager. Only used inside communication and tags |
globally unique identifier | |
| account_manager_user_code |
Embedded code of the account manager. Only used inside communication and tags |
string | |
| account_manager_user |
Embedded entity of the account manager. Only used inside communication and tags |
user | |
| company_status_id |
Company Status |
globally unique identifier | |
| invoice_email_to |
Email to send invoice |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date | |
| id2 |
Internal ID (numeric) |
integer |
Response Formats
application/json, text/json
{
"id": "d36de756-8bff-4b26-ac10-1c45d886b4c9",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-10-14T21:50:23.2896255+00:00",
"sales_territory_id": "86d1c265-366e-4e29-a755-5f1da9dd71f9",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "676b9564-e107-40e6-941f-1d6a6a89ed2d",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "00b2297e-5898-4e00-87c3-58b8646c58c2",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "0d32d7c1-94b0-4f89-a2b0-6daf3fde7dd9",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "328841cc-8a9a-4784-af52-6df7073e64d8",
"db_currency_id": "c46810c9-2a92-4cfa-8a78-be9eb83527e0",
"db_language_id": "a9248eea-800a-4839-a7c1-3da02100b6d4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-14T21:50:23.2896255+00:00"
},
"modified_dateutc": "2026-10-14T21:50:23.2896255+00:00"
},
"marketing_segment_id": "d5c66a40-4cc4-4658-b706-09f905c7d432",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "af122e4d-2e2d-474f-8381-77b660ab66d2",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "39be3cd0-d2c4-4304-9304-8c0ca0c1f782",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "0730c80f-9710-4e7f-aaa2-52540f86a408",
"db_country_code": "sample string 28",
"feelist_id": "e1d7c295-460d-47c0-8eb9-e31e6a2da71f",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "8fdcf009-f5ae-4c7c-928f-8be898b4a7e4",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "8c81de6a-7ec6-414d-b2d9-a050de9d9725",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-10-14T21:50:23.3062977+00:00",
"db_currency_id": "bc6b7225-67b7-43d0-ba55-3756c84c1395",
"db_currency_code": "sample string 10"
},
"company_type_id": "a39318c4-203a-4862-b266-3aea8b504f44",
"company_type_name": "sample string 32",
"company_type": {
"id": "f7bff720-70f4-49eb-9c12-609f8a9c6af9",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "884ccbb4-5406-446c-b1a7-8025664dd23c",
"sales_organization_code": "sample string 5"
},
"db_language_id": "3ea424fb-4c62-4395-a18c-672c601ff9af",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "f92ae37b-ee56-4658-8fd4-7fba6adc4db1",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "634bbd41-e7a5-4026-b31e-7df4328582de",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "7ad89c94-4d56-4050-92e0-c8b13dffbac0",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-10-14T21:50:23.3062977+00:00"
},
"company_sector_id": "537a6fef-4dc8-434d-a637-eb65f12b5d2c",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "0e08a126-cda2-4cd1-bc5f-34f844c940b3",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "f79db7a4-8701-47d9-bb90-8fe785c2cdd4",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "7283d6f2-b26e-4ced-9cde-f87725a27a08",
"account_manager_user_code": "sample string 56",
"company_status_id": "ca7c48fe-3004-4ef9-a4c8-d28e04b3d59e",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-10-14T21:50:23.3062977+00:00",
"id2": 60
}